%define upstream_name    Proc-InvokeEditor
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for starting a text editor
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(Test::More) >= 0.80.0
BuildRequires: ed
BuildArch:  noarch

%description
This module provides the ability to supply some text to an external text
editor, have it edited by the user, and retrieve the results.

The File::Temp module is used to provide secure, safe temporary files, and
File::Temp is set to its highest available level of security. This may
cause problems on some systems where no secure temporary directory is
available.

When the editor is started, no subshell is used. Your path will be scanned
to find the binary to use for each editor if the string given does not
exist as a file, and if a named editor contains whitespace, eg) if you try
to use the editor 'xemacs -nw', then the string will be split on whitespace
and anything after the editor name will be passed as arguments to your
editor. A shell is not used but this should cover most simple cases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/Proc/


%changelog

* Tue Jan 15 2013 sander85 <sander85> 1.60.0-2.mga3
+ Revision: 388255
- Add BR to fix test

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 107373
- update to 1.06

* Tue Feb 22 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 56823
- update to 1.05

* Wed Jan 26 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 40756
- mageia rebuild
- imported package perl-Proc-InvokeEditor

